ggz-config(6)

NAME

ggz-config - GGZ Gaming Zone configuration manager

SYNOPSIS

Query Mode:
ggz-config [--configdir] [--gamedir] [--datadir] [--protocol] [--version]

Install Mode:
ggz-config --install --modfile=FILENAME [--destdir] [--force]

Uninstall Mode:
ggz-config --remove --modfile=FILENAME

Repair Mode:
ggz-config --check

DESCRIPTION

The program ggz-config is a central tool and part of the client libraries package of the GGZ Gaming Zone. It can be used for several purposes. Primarily it is used to maintain the ggz.modules configuration file by installing and removing game module information. This is done with the --install and --remove modes of operation.

Additionally, the program can query the installation settings of the GGZ client libraries to assist in configuring the build process of a client or game module.

OPTIONS

Query Mode Options

-c, --configdir
    Output location of the GGZ client libraries configuration directory and exit. This value will usually be @ggzconfdir@ and is where the file ggz.modules is located.

-g, --gamedir
    Output location of the executable game modules and exit. Game modules in this directory are all game clients which are not installed into a standard PATH directory, mostly because they only run when invoked by a GGZ core client. As a special module, the game client wrapper ggzwrap is installed into this place. The gamedir is usually @ggzexecmoddir@.

-d, --datadir
    Output location of game module data directory and exit. This is where games look for their graphics and level data. This will likely resolve to @ggzdatadir@.

-p, --protocol
    Query GGZ_CS_PROTO_VERSION - version of core protocol between the GGZ server and any GGZ core clients.

-h, --help
    Output help information and exit.

-u, --usage
    Print some ggz-config usage scenarios for quick reference.

-v, --version
    Output version information and exit.

Install Mode Options

--install
    Specifies that we are installing a game module description.

--modfile=FILENAME
    Specifies the source module description file. FILENAME will often be named module.dsc, but this is merely a convention.

--force
    Overwrite an existing module entry of the same name, author and version rather than returning an error.

-D, --destdir
    Specifies that the $DESTDIR environment variable contains a directory to prepend to the path for the GGZ module configuration file (ggz.modules). The only known purpose for this is for creating binary packages of GGZ games.

Uninstall Mode Options

--remove
    Specifies that we are removing a game module description.

--modfile=FILENAME
    Specifies the source module description file.

FILES

@ggzconfdir@/ggz.modules
    Game module registry for all GGZ Gaming Zone core clients.

ENVIRONMENT VARIABLES

DESTDIR
    Used during install process, most commonly by the build sequence of binary packages such as rpm or dpkg.

BUGS

The program is currently unable to detect many problems that could arise with an invalid ggz.modules file.

Probably others, too numerous to mention.

AUTHORS

The GGZ Development Team <ggz-dev@mail.ggzgamingzone.org>

SEE ALSO

ggz.modules(5), ggz(7)